Bug 178086 - anaconda timezone selector crashes when dragging mouse on map canvas
anaconda timezone selector crashes when dragging mouse on map canvas
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 14:16 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 08:14:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the logged exception (129.13 KB, text/plain)
2006-01-17 14:16 EST, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2006-01-17 14:16:50 EST
When selecting a timezone during the test2 install a dialog pop'd up with the
attached exception.

I pressed down on the mouse button and dragged toward the edge of the screen
when the crash occurred.
Comment 1 Matthias Clasen 2006-01-17 14:16:50 EST
Created attachment 123324 [details]
the logged exception
Comment 2 Chris Lumens 2006-01-17 14:35:53 EST
Nils, really simple patch attached below.

diff -u -r1.40 timezone_map_gui.py
--- timezone_map_gui.py 16 Jan 2006 15:41:34 -0000      1.40
+++ timezone_map_gui.py 17 Jan 2006 19:28:11 -0000
@@ -442,7 +442,7 @@
     def highlight (self, x, y):
         shr = self.highlight_region
         hr = self.find_region (x, y)
-        if hr != shr:
+        if hr and hr != shr:
             if shr and shr['pixbuf']:
                 shr['pixbuf'].hide ()
                 shr['frame'].hide ()
Comment 3 Nils Philippsen 2006-01-18 08:14:37 EST
I've applied the fix in version 1.7.99.16.

Note You need to log in before you can comment on or make changes to this bug.